package com.sw.mes.yb.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "统计1Dto")
public class NumberOfOperations1Dto implements Comparable<NumberOfOperations1Dto>{

     @ApiModelProperty(value = "片区" )
     String series;
     @ApiModelProperty(value = "数量" )
     Integer count;
     @ApiModelProperty(value = "数量1" )
     BigDecimal count1;

     @Override
     public int compareTo(NumberOfOperations1Dto other) {
          // 根据系列进行排序
          if (this.series.length() < other.series.length()) {
               return -1;
          } else if (this.series.length() > other.series.length()) {
               return 1;
          } else {
               // 长度相等
               return 0;
          }
     }
}